Run Job
curl --request POST \
--url https://api.xplenty.com/{account_id}/api/jobs \
--header 'Accept: <accept>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"cluster_id": 167,
"package_id": 103,
"variables": {
"MY_STATIC_VAR": "some static variable"
},
"dynamic_variables": {
"current_time": "CurrentTime()",
"MY_CURRENT_TIME": "$CURRENT_TIME_VAR"
}
}
'import requests
url = "https://api.xplenty.com/{account_id}/api/jobs"
payload = {
"cluster_id": 167,
"package_id": 103,
"variables": { "MY_STATIC_VAR": "some static variable" },
"dynamic_variables": {
"current_time": "CurrentTime()",
"MY_CURRENT_TIME": "$CURRENT_TIME_VAR"
}
}
headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Accept: '<accept>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
cluster_id: 167,
package_id: 103,
variables: {MY_STATIC_VAR: 'some static variable'},
dynamic_variables: {current_time: 'CurrentTime()', MY_CURRENT_TIME: '$CURRENT_TIME_VAR'}
})
};
fetch('https://api.xplenty.com/{account_id}/api/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 157,
"status": "completed",
"owner_id": 123,
"progress": 1,
"outputs_count": 2,
"outputs": [
{
"id": 123,
"name": "projected_results",
"records_count": 10415234,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"component": {
"name": "<string>",
"type": "<string>",
"fields": [
"<string>"
]
}
}
],
"variables": {},
"dynamic_variables": {},
"started_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"failed_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"cluster_id": 52,
"package_id": 434,
"errors": "<string>",
"runtime_in_seconds": 123,
"url": "<string>",
"html_url": "<string>",
"log_url": "<string>",
"creator": {
"type": "<string>",
"display_name": "<string>",
"id": 123,
"url": "<string>"
},
"package": {
"id": 123,
"name": "<string>",
"url": "<string>"
},
"cluster": {
"id": 123,
"name": "<string>",
"url": "<string>"
}
}{
"message": "Item not found."
}{
"message": "Item not found."
}{
"message": "Item not found."
}{
"message": "Item not found."
}Jobs
Run Job
Creates and runs a new job. You must specify the cluster to run on and the package whose workflow the job should perform. You can also pass static and dynamic variables.
POST
/
jobs
Run Job
Authorizations
Enter your API key as the username. Leave the password field blank.
Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...
Headers
API version header — required on all requests
Body
application/json
Response
Job created and started
Example:
157
Available options:
idle, pending, queued, running, completed, failed, pending_stoppage, stopping, stopped Example:
"completed"
Required range:
0 <= x <= 1Example:
1
Example:
2
Show child attributes
Show child attributes
Example:
52
Example:
434
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 14, 2026
Was this page helpful?
⌘I